2021-06-16 19:54:20

by Andrea Righi

[permalink] [raw]
Subject: [PATCH] selftests: net: veth: make test compatible with dash

veth.sh is a shell script that uses /bin/sh; some distro (Ubuntu for
example) use dash as /bin/sh and in this case the test reports the
following error:

# ./veth.sh: 21: local: -r: bad variable name
# ./veth.sh: 21: local: -r: bad variable name

This happens because dash doesn't support the option "-r" with local.

Moreover, in case of missing bpf object, the script is exiting -1, that
is an illegal number for dash:

exit: Illegal number: -1

Change the script to be compatible both with bash and dash and prevent
the errors above.

Signed-off-by: Andrea Righi <[email protected]>
---
tools/testing/selftests/net/veth.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/tools/testing/selftests/net/veth.sh b/tools/testing/selftests/net/veth.sh
index 2fedc0781ce8..11d7cdb898c0 100755
--- a/tools/testing/selftests/net/veth.sh
+++ b/tools/testing/selftests/net/veth.sh
@@ -18,7 +18,8 @@ ret=0

cleanup() {
local ns
- local -r jobs="$(jobs -p)"
+ local jobs
+ readonly jobs="$(jobs -p)"
[ -n "${jobs}" ] && kill -1 ${jobs} 2>/dev/null
rm -f $STATS

@@ -108,7 +109,7 @@ chk_gro() {

if [ ! -f ../bpf/xdp_dummy.o ]; then
echo "Missing xdp_dummy helper. Build bpf selftest first"
- exit -1
+ exit 1
fi

create_ns
--
2.31.1


2021-06-17 02:09:56

by patchwork-bot+netdevbpf

[permalink] [raw]
Subject: Re: [PATCH] selftests: net: veth: make test compatible with dash

Hello:

This patch was applied to netdev/net.git (refs/heads/master):

On Wed, 16 Jun 2021 16:03:21 +0200 you wrote:
> veth.sh is a shell script that uses /bin/sh; some distro (Ubuntu for
> example) use dash as /bin/sh and in this case the test reports the
> following error:
>
> # ./veth.sh: 21: local: -r: bad variable name
> # ./veth.sh: 21: local: -r: bad variable name
>
> [...]

Here is the summary with links:
- selftests: net: veth: make test compatible with dash
https://git.kernel.org/netdev/net/c/0fd158b89b50

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html